config/routes.rb
Rails.application.routes.draw do
  get 'domain_names/index'
  get 'home/index'
  root 'home#index'
  # devise_for :users
  devise_for :users, :controllers => {:registrations => "devise/registrations"}
  resources :requests
  get '/connections/my_connections', to: 'connections#my_connections'
  get '/jobs/my_posted_jobs', to: 'jobs#my_posted_jobs'
  get '/jobs/my_applied_jobs', to: 'jobs#my_applied_jobs'
  get '/jobs/saved_jobs', to: 'jobs#saved_jobs'
  get '/jobs/states', to: 'jobs#states'
  get '/jobs/cities', to: 'jobs#cities'
  resources :connections
  resources :posts do
    resources :comments
    resources :likes
  end
  resources :comments do
    resources :likes
  end
  resources :user_groups, only: [:create, :destroy, :update]
  resources :user_jobs, only: [:create, :destroy, :update]
  resources :user_saved_jobs, only: [:create, :destroy, :update]
  resources :jobs
  resources :resumes
  resources :likes
  resources :groups
  resources :specialities, only: [:index]
  resources :domain_names, only: [:index]
  resources :poll_responses, only: [:create, :destroy]
  resources :registration_steps
  resources :events
  resources :businesses
  resources :courses
  resources :categories
  get '/get_users' => 'events#get_users'

  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
end

app/controllers/businesses_controller.rb
class BusinessesController < ApplicationController
    def new
			@business = Business.new
    end

    def create
			@business = Business.new(business_params)
			create_business_user_record if @business.save
			
			respond_to do |format|
				format.html{ redirect_to business_path(@business) }
			end
    end

		def show
			@business = Business.find(params[:id])
			@course = @business.courses.new
			@courses = @business.courses.group(:category_id)
			life_page = @business.life_pages.build
			life_page.spotlights.build
			@event = Event.new
			@event_users = @event.event_users.build
			@posts = @business.posts.paginate(page: params[:page], per_page: 15).order('created_at DESC')

			courses

			@category = Category.new
		end

    private

    def business_params
      params.require(:business).permit!
    end

		def courses
			sql = "select categories.name, title, description from courses inner join categories on categories.id = courses.category_id"
			result = ActiveRecord::Base.connection.execute(sql)
			@courses = result.entries.group_by { |h| h['name'] }
		end

		def create_business_user_record
			current_user.business_users.create(
				business_id: @business.id
			)
		end
end

app/helpers/businesses_helper.rb
module BusinessesHelper
end

app/views/businesses/_courses.html.erb
<% @courses.each do |course| %>
	<div class = "panel panel-default mb-4">
		<div class = "panel-heading">
			<h6 class = "panel-title">
				<%= course[0].titleize %>
			</h6>
		</div>
		
		<div class = "panel-body">
			<% course[1].each do |course| %>
				<ul id='courses_list'>
					<%= render :partial => 'courses/courses_list', locals: { title: course['title'].titleize, description: course['description'] } %>
				</ul>
			<% end %>
		</div>
	</div>
<% end %>

app/views/businesses/_form.html.erb
<div class='container'>
	<div class='row'>
		<div class='col-md-7'>
			<%= form_for @business, :html => { :id => "newBusiness" } do |f|%>

				<% if @business.errors.any? %>
					<ul class='errors'>
						<% @business.errors.full_messages.each do |message| %>
							<li><%= message %></li>
						<% end %>
					</ul>
				<% end %>

				<div class="form-group">
					<div class="form-group col-md-12 mt-4">
						<%= f.label :organization_type %><br />
						<%= f.select :business_type, ['Medical College','Medical Association', 'Hospital', 'Clinic', 'Others'], {}, { class: "form-control normal" } %>
					</div>

					<div class="form-group col-md-12 mt-3">
						<%= f.label :name %><br />
						<%= f.text_field :name, class: "form-control" %>
					</div>

					<div class="form-group col-md-12 mt-3">
						<%= f.label 'austrahcom/educational/*' %><br />
						<%= f.text_field :austra_public_url, class: "form-control" %>
						<p>austrah public URL</p>
					</div>

					<div class="form-group col-md-12 mt-4">
						<%= f.label :button_name %><br />
						<%= f.select :button_name, ['Contact Us','About Us', 'Learn More', 'Visit Our Website'], {}, { class: "form-control normal" } %>
					</div>

					<div class="form-group col-md-12 mt-3">
						<%= f.label :website %><br />
						<%= f.text_field :website, class: "form-control" %>
					</div>

					<div class="form-group col-md-12 mt-3">
						<%= f.label :logo %><br />
						<%= f.file_field :logo, class: "form-control" %>
					</div>

					<div class="form-group col-md-12 mt-3">
						<%= f.label :tag_line %><br />
						<%= f.text_field :tag_line, class: "form-control" %>
					</div>

					<div class="form-group col-md-12 mt-3">
						<%= f.label :description %><br />
						<%= f.text_area :description, class: "form-control" %>
					</div>

					<div class="form-group col-md-12 mt-3">
						<%= f.label :phone %><br />
						<%= f.text_field :phone, class: "form-control" %>
					</div>

					<div class="form-group col-md-12 mt-4">
						<%= f.label :year_founded %><br />
						<% a=*(1920..2022) %>
						<%= f.select :year_founded, a, {}, { class: "form-control normal" } %>
					</div>

					<div class="form-group col-md-12 mt-3">
						<%= f.label 'Hashtag 1' %><br />
						<%= f.text_field :hashtag1, class: "form-control" %>
					</div>

					<div class="form-group col-md-12 mt-3">
						<%= f.label 'Hashtag 2' %><br />
						<%= f.text_field :hashtag2, class: "form-control" %>
					</div>

					<div class="form-group col-md-12 mt-3">
						<%= f.label 'Hashtag 3' %><br />
						<%= f.text_field :hashtag3, class: "form-control" %>
					</div>

					<div class="form-group col-md-12 mt-3">
						<%= f.submit 'Create Page', class: 'btn btn-primary' %>
					</div>

				</div>
			<% end %>
		</div>
		<div class='col-md-5'>
		</div>
	</div>
</div>

app/views/businesses/_new_course_modal.html.erb
<!-- Modal -->
<div class="modal fade" id="add_course" tabindex="-1" aria-labelledby="newJobModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="newJobModalLabel">Courses</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
         <div class="panel panel-default">
            <div class="panel-heading">
                <h6> Add new category  </h6> 
            </div>
            <div class="panel-body panel-primary" id='newCategory'>
              <%= render 'categories/form' %>
            </div>
          </div>
          <hr>
           <div class="panel panel-default">
            <div class="panel-heading">
              <h6> Add new course  </h6> 
            </div>
            <div class="panel-body panel-primary" id='newCourse'>
              <%= render 'courses/form' %>
            </div>
          </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        <%# <button type="submit" form="newCourseForm" class="btn btn-primary">Add course</button> %>
      </div>
    </div>
  </div>
</div>

app/views/businesses/_new_life_page_modal.html.erb
<!-- Modal -->
<div class="modal fade" id="add_life" tabindex="-1" aria-labelledby="newJobModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="newJobModalLabel">Life</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
				<%= render 'life_pages/form' %>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        <%# <button type="submit" form="newCourseForm" class="btn btn-primary">Add course</button> %>
      </div>
    </div>
  </div>
</div>

app/views/businesses/_spotlight_fields.html.erb
<div class="nested-fields">
	<div class="field">
		<div class="form-group">
			<%= f.label :title %>
			<%= f.text_field :title, class: "form-control" %>
		</div>	
		<div class="form-group">
			<%= f.label :description %>
			<%= f.text_field :description, class: "form-control" %>
		</div>
		<div class="form-group">
			<%= f.label :optional_caption %>
			<%= f.text_field :optional_caption, class: "form-control" %>
		</div>
		<%= link_to_remove_association "Remove", f, class: 'float-right' %>
	</div>
</div>

app/views/businesses/_students.html.erb
<div class='container'>
	<div class='row'>
		<div class='col-md-12'>
			<%= link_to 'Add student', '', class: 'btn btn-primary' %>
			<%= link_to 'Add alumni', '', class: 'btn btn-primary' %>
		</div>
	</div>
	<div class="row people-you-may-know">
		<div class="col-lg-3 col-md-3 col-sm-4 col-xs-12">
			<div class="box-part text-center">
				<img src="https://picsum.photos/200"/ class='user-icon'>
				<div class="title">
					<h6>Anand dinghe</h6>
				</div>
				<div class="text">
					<span>Staff Software Engineer</span>
				</div>
				<div>
					<%#= link_to 'connect', requests_path(:request => { :requestor_id => current_user.id, receiver_id: user.id }), remote: true, method: 'post', class: 'btn btn-primary btn-sm' %>
				</div>
			</div>
		</div>	 
		<div class="col-lg-3 col-md-3 col-sm-4 col-xs-12">
			<div class="box-part text-center">
				<img src="https://picsum.photos/200"/ class='user-icon'>
				<div class="title">
					<h6>Anand dinghe</h6>
				</div>
				<div class="text">
					<span>Staff Software Engineer</span>
				</div>
				<div>
					<%#= link_to 'connect', requests_path(:request => { :requestor_id => current_user.id, receiver_id: user.id }), remote: true, method: 'post', class: 'btn btn-primary btn-sm' %>
				</div>
			</div>
		</div>	 
		<div class="col-lg-3 col-md-3 col-sm-4 col-xs-12">
			<div class="box-part text-center">
				<img src="https://picsum.photos/200"/ class='user-icon'>
				<div class="title">
					<h6>Anand dinghe</h6>
				</div>
				<div class="text">
					<span>Staff Software Engineer</span>
				</div>
				<div>
					<%#= link_to 'connect', requests_path(:request => { :requestor_id => current_user.id, receiver_id: user.id }), remote: true, method: 'post', class: 'btn btn-primary btn-sm' %>
				</div>
			</div>
		</div>	 
		<div class="col-lg-3 col-md-3 col-sm-4 col-xs-12">
			<div class="box-part text-center">
				<img src="https://picsum.photos/200"/ class='user-icon'>
				<div class="title">
					<h6>Anand dinghe</h6>
				</div>
				<div class="text">
					<span>Staff Software Engineer</span>
				</div>
				<div>
					<%#= link_to 'connect', requests_path(:request => { :requestor_id => current_user.id, receiver_id: user.id }), remote: true, method: 'post', class: 'btn btn-primary btn-sm' %>
				</div>
			</div>
		</div>	 
		<div class="col-lg-3 col-md-3 col-sm-4 col-xs-12">
			<div class="box-part text-center">
				<img src="https://picsum.photos/200"/ class='user-icon'>
				<div class="title">
					<h6>Anand dinghe</h6>
				</div>
				<div class="text">
					<span>Staff Software Engineer</span>
				</div>
				<div>
					<%#= link_to 'connect', requests_path(:request => { :requestor_id => current_user.id, receiver_id: user.id }), remote: true, method: 'post', class: 'btn btn-primary btn-sm' %>
				</div>
			</div>
		</div>	 
		
	</div>
</div>

app/views/businesses/new.html.erb
<%= render 'form' %>

app/views/businesses/show.html.erb
<div class='container'>
	<div class='row'>
		<div class='col-md-8'>
			<%= @business.name %>
		</div>
	</div>
	<div class='row'>
		<div class='col-md-8'>
			<%= @business.tag_line %>
		</div>
	</div>
	<div class='row mt-4'>
		<div class='col-md-8'>
			See all 11 students on austra
		</div>
	</div>
	<div class='row mt-4'>
		<div class='col-md-8'>
			<%= link_to 'Follow', root_path, class: 'btn btn-primary btn-sm' %>
			<%= link_to 'Register', root_path, class: 'btn btn-success btn-sm' %>
			<%= link_to 'More', root_path, class: 'btn btn-primary btn-sm' %>
		</div>
	</div>
	<div class='row mt-4'>
		<div class='col-md-8'>
			<div class='d-flex'>
				<ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
					<li class="nav-item" role="presentation">
						<button class="nav-link active" id="pills-about-tab" data-bs-toggle="pill" data-bs-target="#pills-about" type="button" role="tab" aria-controls="pills-about" aria-selected="true">About</button>
					</li>
					<li class="nav-item" role="presentation">
						<button class="nav-link" id="pills-courses-tab" data-bs-toggle="pill" data-bs-target="#pills-courses" type="button" role="tab" aria-controls="pills-courses" aria-selected="false">Courses</button>
					</li>
					<li class="nav-item" role="presentation">
						<button class="nav-link" id="pills-students-tab" data-bs-toggle="pill" data-bs-target="#pills-students" type="button" role="tab" aria-controls="pills-students" aria-selected="false">Students</button>
					</li>
					<li class="nav-item" role="presentation">
						<button class="nav-link" id="pills-life-tab" data-bs-toggle="pill" data-bs-target="#pills-life" type="button" role="tab" aria-controls="pills-life" aria-selected="false">Life</button>
					</li>
					<li class="nav-item" role="presentation">
						<button class="nav-link" id="pills-posts-tab" data-bs-toggle="pill" data-bs-target="#pills-posts" type="button" role="tab" aria-controls="pills-posts" aria-selected="false">Posts</button>
					</li>
					<li class="nav-item float-right" role="presentation">
						<button class="nav-link" id="pills-contact-tab" data-bs-toggle="pill" data-bs-target="#pills-contact" type="button" role="tab" aria-controls="pills-contact" aria-selected="false">Events</button>
					</li>
				</ul>
				<%= select_tag(:option, options_for_select(['Add course', 'Add life', 'Add event'], params[:option] ), class:"select margin-left-auto normal", id: 'select-choice', prompt: 'Admin options') %>
			</div>
			<div class="tab-content" id="pills-tabContent">
				<div class="tab-pane fade show active" id="pills-about" role="tabpanel" aria-labelledby="pills-about-tab">
					About us
				</div>
				<div class="tab-pane fade" id="pills-courses" role="tabpanel" aria-labelledby="pills-courses-tab">
					<%= render 'courses' %>
				</div>
				<div class="tab-pane fade" id="pills-students" role="tabpanel" aria-labelledby="pills-students-tab">
					<%= render 'students' %>
				</div>
				<div class="tab-pane fade" id="pills-life" role="tabpanel" aria-labelledby="pills-life-tab">
					<%= render 'life' %>
				</div>
				<div class="tab-pane fade" id="pills-posts" role="tabpanel" aria-labelledby="pills-posts-tab">
					<%= render 'posts/index' %>
				</div>
				<div class="tab-n fade" id="pills-contact" role="tabpanel" aria-labelledby="pills-contact-tab">...</div>
				<div class="tab-pane fade" id="pills-contact" role="tabpanel" aria-labelledby="pills-contact-tab">...</div>
			</div>
		</div>
	</div>
</div>

<%=render 'new_course_modal' %>
<%=render 'new_life_page_modal' %>
<%= render 'events/events_form_modal' %>

<script type="text/javascript">
  $('#select-choice').on('change', function(){
    choice = $(this).val()
		if(choice == "Add event"){
			$('#newEventModal').modal('show')
		}
		else{
			modal = choice.toLowerCase().split(' ').join('_')
			$('#'+modal).modal('show')
		}
  })
</script>	